App\Entity\ContactFournisseur:
    type: entity
    table: contact_fournisseur
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        nom:
            type: string
            length: 255
            fixed: false
            nullable: false
        prenom:
            type: string
            length: 255
            fixed: false
            nullable: false
        qualite:
            type: string
            length: 255
            fixed: false
            nullable: false
        description:
            type: text
            nullable: true
        adresse:
            type: text
            nullable: false
        email:
            type: string
            length: 255
            fixed: false
            nullable: true
        telephone:
            type: string
            length: 255
            fixed: false
            nullable: true
    manyToOne:
        fournisseur:
            targetEntity: Fournisseur
            cascade: {  }
            mappedBy: null
            inversedBy: contacts
            joinColumns:
                fournisseur_id:
                    referencedColumnName: id
            orphanRemoval: false